#ifndef SERIAL_H
#define SERIAL_H

#include <sys/ioctl.h>
#include <errno.h>
#include <termios.h>
#include <time.h>
#include <sys/time.h>

/* Set of functions used by modem and mouse detection */
int wait_for_input(int fd, struct timeval *timo);
int open_serial_port(char *port);
int close_serial_port(int fd);
int get_serial_lines(int fd);
int set_serial_lines(int fd, int modem_lines);
int get_serial_attr(int fd, struct termios *attr);
int set_serial_attr(int fd, struct termios *attr);
int setup_serial_port(int fd, int nbits, struct termios *attr);
struct termios *init_serial_port(int fd);

#endif

